prolexic-posture-visibility-fragments-details-flow-count

The following shows how to generate the prolexic-posture-visibility-fragments-details-flow-count report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

Provides detailed posture visibility metrics for packet fragment DDoS traffic flow count. Default time interval is FIVE_MINUTES.

Business object: securityConfigs

Data available for: 90 days

Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect

Available metrics

Data columnDescription
flowCountThe total traffic flow count
asnThe source Autonomous System Number (ASN)
sourceIpThe source IP address
destinationIpThe destination IP address

Available filters

FilterTypeDescription
securityConfigsArray of stringsThe security configurations to filter by
protectedPrefixesArray of stringsThe security configurations to filter by REQUIRED
Limit of 1 prefix
protectedSubPrefixesArray of stringsThe protected sub-prefixes to filter by OPTIONAL
Limit of 1 prefix

POST request

POST /reporting-reports-executor-api/v1/reports/prolexic-posture-visibility-fragments-details-flow-count/versions/1.0/report-data{?start,​end}

Sample:

/reporting-reports-executor-api/v1/reports/prolexic-posture-visibility-fragments-details-flow-count/versions/1.0/report-data?start=2025-11-14T13%3A00%3A00Z&end=2025-11-21T14%3A00%3A00Z

Query parameters

ParameterTypeSampleDescription
startString2025-05-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED
endString2025-06-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED

JSON request members

MemberTypeDescription
objectTypeStringSpecifies the business object for the report
filtersObjectSpecifies a set of custom filters, with each filter's name keying an array with each filter's set of values: targetIps

Request body:

{
   "objectType": "securityConfigs",
   "objectIds": [
       "corp_east"
   ],
 "filters": {
   "securityConfigs": ["corp_east"],
   "protectedPrefixes": ["100.84.152.0/24"],
   }
}

JSON response

Status 200 application/json

Response body:

{
    "metadata": {
        "name": "prolexic-posture-visibility-fragments-details-flow-count",
        "version": "1.0",
        "outputType": "FLAT",
        "groupBy": [],
        "interval": "{INTERVAL}",
        "start": "{START_DATE_TIME}",
        "end": "{END_DATE_TIME}",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 7,
        "filters": [
            {
                "name": "securityConfigs",
                "values": [
                    "corp_east"
                ]
            },
            {
                "name": "protectedPrefixes",
                "values": [
                    "100.84.152.0/24"
                ]
            }
        ],
        "columns": [
            {
                "name": "flowCount",
                "label": "Flow Count"
            },
            {
                "name": "asn",
                "label": "ASN"
            },
            {
                "name": "sourceIp",
                "label": "Source IP"
            },
            {
                "name": "destinationIp",
                "label": "Destination IP"
            }
        ],
        "objectType": "securityConfigs",
      "objectIds": [
				"corp_east"
        ]
    },
    "data": [
        {
            "flowCount": "367",
            "asn": "0",
            "sourceIp": "198.18.30.7",
            "destinationIp": "100.84.152.101"
        },
        {
            "flowCount": "109",
            "asn": "0",
            "sourceIp": "198.18.30.6",
            "destinationIp": "100.84.152.1"
        },
        …
    ],
    "summaryStatistics": {},
 }